//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.08 at 11:55:12 AM CET 
//


package pl.adriankozlowski.jpk;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;


/**
 * <p>Java class for ArrayOfFileSignatureType complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="ArrayOfFileSignatureType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Packaging">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="SplitZip">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="split" />
 *                           &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="zip" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Encryption">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="AES">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="IV">
 *                               &lt;complexType>
 *                                 &lt;simpleContent>
 *                                   &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>EncryptionAESIVType">
 *                                   &lt;/restriction>
 *                                 &lt;/simpleContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                           &lt;attribute name="size" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="256" />
 *                           &lt;attribute name="block" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="16" />
 *                           &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="CBC" />
 *                           &lt;attribute name="padding" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="PKCS#7" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FileSignature" type="{http://e-dokumenty.mf.gov.pl}FileSignatureType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ArrayOfFileSignatureType", propOrder = {
        "packaging",
        "encryption",
        "fileSignature"
})
@XmlSeeAlso({
        pl.adriankozlowski.jpk.DocumentType.FileSignatureList.class
})
public class ArrayOfFileSignatureType {

    @XmlElement(name = "Packaging", required = true)
    protected ArrayOfFileSignatureType.Packaging packaging;
    @XmlElement(name = "Encryption", required = true)
    protected ArrayOfFileSignatureType.Encryption encryption;
    @XmlElement(name = "FileSignature", required = true)
    protected List<FileSignatureType> fileSignature;

    /**
     * Gets the value of the packaging property.
     *
     * @return possible object is
     * {@link ArrayOfFileSignatureType.Packaging }
     */
    public ArrayOfFileSignatureType.Packaging getPackaging() {
        return packaging;
    }

    /**
     * Sets the value of the packaging property.
     *
     * @param value allowed object is
     *              {@link ArrayOfFileSignatureType.Packaging }
     */
    public void setPackaging(ArrayOfFileSignatureType.Packaging value) {
        this.packaging = value;
    }

    /**
     * Gets the value of the encryption property.
     *
     * @return possible object is
     * {@link ArrayOfFileSignatureType.Encryption }
     */
    public ArrayOfFileSignatureType.Encryption getEncryption() {
        return encryption;
    }

    /**
     * Sets the value of the encryption property.
     *
     * @param value allowed object is
     *              {@link ArrayOfFileSignatureType.Encryption }
     */
    public void setEncryption(ArrayOfFileSignatureType.Encryption value) {
        this.encryption = value;
    }

    /**
     * Gets the value of the fileSignature property.
     * <p>
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fileSignature property.
     * <p>
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFileSignature().add(newItem);
     * </pre>
     * <p>
     * <p>
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FileSignatureType }
     */
    public List<FileSignatureType> getFileSignature() {
        if (fileSignature == null) {
            fileSignature = new ArrayList<FileSignatureType>();
        }
        return this.fileSignature;
    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="AES">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="IV">
     *                     &lt;complexType>
     *                       &lt;simpleContent>
     *                         &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>EncryptionAESIVType">
     *                         &lt;/restriction>
     *                       &lt;/simpleContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *                 &lt;attribute name="size" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="256" />
     *                 &lt;attribute name="block" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="16" />
     *                 &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="CBC" />
     *                 &lt;attribute name="padding" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="PKCS#7" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "aes"
    })
    public static class Encryption {

        @XmlElement(name = "AES")
        protected ArrayOfFileSignatureType.Encryption.AES aes;

        /**
         * Gets the value of the aes property.
         *
         * @return possible object is
         * {@link ArrayOfFileSignatureType.Encryption.AES }
         */
        public ArrayOfFileSignatureType.Encryption.AES getAES() {
            return aes;
        }

        /**
         * Sets the value of the aes property.
         *
         * @param value allowed object is
         *              {@link ArrayOfFileSignatureType.Encryption.AES }
         */
        public void setAES(ArrayOfFileSignatureType.Encryption.AES value) {
            this.aes = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * <p>
         * <p>The following schema fragment specifies the expected content contained within this class.
         * <p>
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="IV">
         *           &lt;complexType>
         *             &lt;simpleContent>
         *               &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>EncryptionAESIVType">
         *               &lt;/restriction>
         *             &lt;/simpleContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *       &lt;attribute name="size" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="256" />
         *       &lt;attribute name="block" use="required" type="{http://www.w3.org/2001/XMLSchema}int" fixed="16" />
         *       &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="CBC" />
         *       &lt;attribute name="padding" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="PKCS#7" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
                "iv"
        })
        public static class AES {

            @XmlElement(name = "IV", required = true)
            protected ArrayOfFileSignatureType.Encryption.AES.IV iv;
            @XmlAttribute(name = "size", required = true)
            protected int size;
            @XmlAttribute(name = "block", required = true)
            protected int block;
            @XmlAttribute(name = "mode", required = true)
            @XmlSchemaType(name = "anySimpleType")
            protected String mode;
            @XmlAttribute(name = "padding", required = true)
            @XmlSchemaType(name = "anySimpleType")
            protected String padding;

            /**
             * Gets the value of the iv property.
             *
             * @return possible object is
             * {@link ArrayOfFileSignatureType.Encryption.AES.IV }
             */
            public ArrayOfFileSignatureType.Encryption.AES.IV getIV() {
                return iv;
            }

            /**
             * Sets the value of the iv property.
             *
             * @param value allowed object is
             *              {@link ArrayOfFileSignatureType.Encryption.AES.IV }
             */
            public void setIV(ArrayOfFileSignatureType.Encryption.AES.IV value) {
                this.iv = value;
            }

            /**
             * Gets the value of the size property.
             */
            public int getSize() {
                return size;
            }

            /**
             * Sets the value of the size property.
             */
            public void setSize(int value) {
                this.size = value;
            }

            /**
             * Gets the value of the block property.
             */
            public int getBlock() {
                return block;
            }

            /**
             * Sets the value of the block property.
             */
            public void setBlock(int value) {
                this.block = value;
            }

            /**
             * Gets the value of the mode property.
             *
             * @return possible object is
             * {@link String }
             */
            public String getMode() {
                if (mode == null) {
                    return "CBC";
                } else {
                    return mode;
                }
            }

            /**
             * Sets the value of the mode property.
             *
             * @param value allowed object is
             *              {@link String }
             */
            public void setMode(String value) {
                this.mode = value;
            }

            /**
             * Gets the value of the padding property.
             *
             * @return possible object is
             * {@link String }
             */
            public String getPadding() {
                if (padding == null) {
                    return "PKCS#7";
                } else {
                    return padding;
                }
            }

            /**
             * Sets the value of the padding property.
             *
             * @param value allowed object is
             *              {@link String }
             */
            public void setPadding(String value) {
                this.padding = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * <p>
             * <p>The following schema fragment specifies the expected content contained within this class.
             * <p>
             * <pre>
             * &lt;complexType>
             *   &lt;simpleContent>
             *     &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>EncryptionAESIVType">
             *     &lt;/restriction>
             *   &lt;/simpleContent>
             * &lt;/complexType>
             * </pre>
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class IV
                    extends EncryptionAESIVType {


            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="SplitZip">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="split" />
     *                 &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="zip" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "splitZip"
    })
    public static class Packaging {

        @XmlElement(name = "SplitZip")
        protected ArrayOfFileSignatureType.Packaging.SplitZip splitZip;

        /**
         * Gets the value of the splitZip property.
         *
         * @return possible object is
         * {@link ArrayOfFileSignatureType.Packaging.SplitZip }
         */
        public ArrayOfFileSignatureType.Packaging.SplitZip getSplitZip() {
            return splitZip;
        }

        /**
         * Sets the value of the splitZip property.
         *
         * @param value allowed object is
         *              {@link ArrayOfFileSignatureType.Packaging.SplitZip }
         */
        public void setSplitZip(ArrayOfFileSignatureType.Packaging.SplitZip value) {
            this.splitZip = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * <p>
         * <p>The following schema fragment specifies the expected content contained within this class.
         * <p>
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="split" />
         *       &lt;attribute name="mode" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="zip" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class SplitZip {

            @XmlAttribute(name = "type", required = true)
            @XmlSchemaType(name = "anySimpleType")
            protected String type;
            @XmlAttribute(name = "mode", required = true)
            @XmlSchemaType(name = "anySimpleType")
            protected String mode;

            /**
             * Gets the value of the type property.
             *
             * @return possible object is
             * {@link String }
             */
            public String getType() {
                if (type == null) {
                    return "split";
                } else {
                    return type;
                }
            }

            /**
             * Sets the value of the type property.
             *
             * @param value allowed object is
             *              {@link String }
             */
            public void setType(String value) {
                this.type = value;
            }

            /**
             * Gets the value of the mode property.
             *
             * @return possible object is
             * {@link String }
             */
            public String getMode() {
                if (mode == null) {
                    return "zip";
                } else {
                    return mode;
                }
            }

            /**
             * Sets the value of the mode property.
             *
             * @param value allowed object is
             *              {@link String }
             */
            public void setMode(String value) {
                this.mode = value;
            }

        }

    }

}
